2011年8月11日 星期四

關於 4.3.3、4.3.4、4.3.5 JB 越獄


由於我發現這個問題已經從月經題,進階到週經題,現在慢慢變成日經題了,所以最好趕快寫一篇文章來專門討論這個問題。免得同樣的問題一直重覆答,有些沒回答他的還會在那邊發脾氣,好像欠他一樣。首先能不能越獄第一步先看機型,看您是iPhone幾代、iPad幾代或iPod touch幾代。假如您連自己是什麼機型?幾代?都搞不清楚的話,建議先不要越獄,用原廠韌體比較單純。就像現在雖然電腦接頭都有「防呆」設計,但是沒有防「非常呆」,所以還是有人會插錯還硬插。如果您清楚知道自己是什麼機型和幾代的話,就請點擊「繼續閱讀」往下看下去吧。


目前如果iOS設備想JB的話,可以簡單分成兩類來討論,就是「iPad 2和非iPad 2」。很簡單的分法吧,就是只要知道自己是iPad 2或不是iPad 2就好了。因為iPad 2是很叛逆的特殊份子,所以需要單獨來處理她。其他像iPhone 4、iPhone 3GS、一代iPad、iPod touch都能統一處理,至於停留在4.2.1的iPhone 3G、iPod touch 2G就不討論了。

iPad 2機型
首先來討論iPad 2,就是9.7吋又輕又薄有白色那台。能JB越獄的韌體版本是4.3和4.3.3,除非您是第一時間從國外搶頭香買回來的,不然應該出廠值已經是4.3.1以上。4.3越獄使用的是comex的JailBreakMe未完成版本PDF文件,這東西目前網路上還很多,尤其是大陸網站。除非逼不得已,比如沒有備到4.3.3的SHSH,不然建議還是刷到4.3.3再來越獄比較穩定。4.3.3就可以用comex正式釋出的JailBreakMe網站來越獄,非常快速和穩定,而且Camera Connection Kit錯誤也已經修復了。

至於iPad 2的4.3.1、4.3.2、4.3.4、4.3.4、5.0目前都無解,而且連半JB不完美越獄(tethered)都不行,因為iPad 2還沒發現硬體漏洞。而且dev team在這個時間點,繼續開發4.3.x完美越獄效益已經非常低了,因為不久後iOS 5就要釋出,不如把時間和精力放在5,所以他們現在也沒在討論4.3.x Untethered了。

非iPad 2機型
這類型情況就比較好了,只要是4.3.3以下韌體都能完美越獄,4.3.4以上也能不完美越獄,因為可以使用limera1n漏洞,這都要感謝神奇小子geohot (再次唾棄Chronic和SHAtter漏洞)。4.3.3以下能根據自己的需求,例如要不要保留Baseband,來選擇使用JailBreakMe、redsn0w、PwnageTool或Sn0wBreeze來越獄,如果是4.2.1還能用greenpois0n

如果您想要從4.3.5降到4.3.x,或是從4.2.1或4.3.1跳升到4.3.x,目前知道是需要有備份到所要刷的韌體版本SHSH才行。假如您拿到設備時已經是4.3.5的話,當然也不可能有備到舊版的SHSH (除非是整新機),所以沒辦法降到比出廠值更低的韌體版本,只能期待越獄大神們早點開發出完美越獄了。


該談的差不多就這些了,還有什麼忘記講嗎?對了,別買美國版iPhone,雖然後來也有所謂的無鎖美版,不過分辨有點麻煩,不如買其他國家的無鎖版還比較單純。因為光越獄就很麻煩,更何況還要解鎖,而且Ultrasn0w已經500年沒更新了,所以不要買美版給自己找麻煩。

最後要感謝各位版友對小弟Blog和出版書籍的支持,這才是四年來支持我寫下去的動力。如果有在玩FB可以加我的→粉絲團←,有在玩Google+也能加我,謝謝^^

0 意見:

張貼留言